﻿namespace NetinaShop.Domain.Dtos.LargDtos;

public class ProductLDto : BaseDto<ProductLDto,Product>
{
    public string PersianName { get; set; } = string.Empty;
    public string EnglishName { get; set; } = string.Empty;
    public string Summery { get; set; } = string.Empty;
    public string ExpertCheck { get; set; } = string.Empty;
    public string Tags { get; set; } = string.Empty;
    public string Warranty { get; set; } = string.Empty;
    public Guid BrandId { get; set; }
    public string BrandNames { get; set; } = string.Empty;

    public List<SpecificationSDto> Specifications { get; set; } = new();
    public List<ReviewSDto> Reviews { get; set; } = new();
    public List<ProductCategorySDto> Categories { get; set; } = new();
    public List<StorageFileSDto> Files { get; set; } = new();
}